FROM debian:buster as builder

# awscli components on debian 10 require specific libraries to
# build on s390x architecture
#
# awscli
#   - libssl-dev
# PyInstaller
#   - zlib1g-dev
#   - python3-pip
#   - python3-dev
#   - python3-setuptools
#   - python3-wheel

# Install required packages
RUN apt-get update -q \
  && DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
      build-essential \
      autoconf \
      automake \
      autopoint \
      zlib1g-dev \
      byacc \
      git \
      gcc \
      g++ \
      cmake \
      libssl-dev \
      libyaml-dev \
      libffi-dev \
      libkrb5-dev \
      libreadline-dev \
      libgdbm-dev \
      libncurses5-dev \
      make \
      bzip2 \
      curl \
      ca-certificates \
      locales \
      openssh-server \
      libcurl4-openssl-dev \
      libexpat1-dev \
      gettext \
      libz-dev \
      fakeroot \
      ccache \
      distcc \
      unzip \
      apt-transport-https \
      gnupg \
      pkg-config \
      python3-pip \
      python3-dev \
      python3-setuptools \
      python3-wheel

RUN echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
RUN locale-gen en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US:en
ENV LC_ALL en_US.UTF-8

<%= Snippets.new(platform: 's390x').populate %>

RUN apt-get purge -y cmake

FROM debian:buster
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
